<?php
/*
Plugin Name: Ze's AlbanEye plugin for WordPress
Plugin URI: https://nbox.org/ze/devs/wordpress-plugin-ze-alban-eye
Description: JSEyes like popup to inform about french HADOPI bill.
Author: Yann 'Ze' Richard 
Version: 0.2
Author URI: https://nbox.org/ze/
*/
/*  Copyright 2009  Yann 'Ze' Richard <ze(arobase)nbox.org>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    http://www.gnu.org/licenses/agpl-3.0.txt
*/
define(WP_ALBANEYE_PATH, dirname(__FILE__) . '/../../..');
define(WP_ALBANEYE_VERSION, '0.1');
define(WP_ALBANEYE_TEST, FALSE);


if (!class_exists('ZeAlbanEyeAdmin')) {
    // Admin option class management
    class ZeAlbanEyeAdmin {
        var $adminOptionsName = "ZeAlbanEyeAdminOptions";
        function __construct() {
            //constructor
        }

        function init() {
            $this->getAdminOptions();
        }

        function addBodyCode( ) {
            include(dirname(__FILE__).'/albaneye.php');
        }

        function addHeaderCode() {
            $devOptions = $this->getAdminOptions();

            echo '<link type="text/css" rel="stylesheet" href="' . get_bloginfo('wpurl') . '/wp-content/plugins/ze-alban-eye/albaneye.css" />' . "\n";
            $url     = WP_PLUGIN_URL . '/ze-alban-eye/images/';
            $pathImg = parse_url($url, PHP_URL_PATH);
            echo '<script type="text/javascript">/*<![CDATA[*/'."\n";
            echo 'var albanEyeImgBase = "'. $pathImg .'";'."\n";
            echo 'var albanEyeDisabled = '.$devOptions['animation_disabled'] .';'."\n";
            echo 'var albanEyePaperDisabled = '.$devOptions['paper_animation_disabled'].';'."\n";
            echo '/*]]>*/'."\n".'</script>'."\n";
            echo '<script type="text/javascript" src="'. get_bloginfo('wpurl') . '/wp-content/plugins/ze-alban-eye/albaneye.js' .'"> </script>'."\n";
        }

        // Returns an array of admin options
        function getAdminOptions() {
            $AdminOptions = array(
                'animation_disabled'       => 'false',         // TRUE cause no animation
                'paper_animation_disabled' => 'false',         // TRUE cause no animation for paper
            );
            $devOptions = get_option($this->adminOptionsName);
            if ( !empty($devOptions) ) {
                foreach ($devOptions as $key => $option) {
                    $AdminOptions[$key] = $option;
                }
            }
            update_option($this->adminOptionsName, $AdminOptions);
            return $AdminOptions;
        }

        //Prints out the admin page
        function printAdminPage() {
            $devOptions = $this->getAdminOptions();
            if (isset($_POST['update_AlbanEyeSettings'])) {
                if (isset($_POST['animation_disabled'])) {
                    $devOptions['animation_disabled'] = $_POST['animation_disabled'];
                }
                if (isset($_POST['paper_animation_disabled'])) {
                    $devOptions['paper_animation_disabled'] = $_POST['paper_animation_disabled'];
                }
                update_option($this->adminOptionsName, $devOptions);
                ?>
                <div class="updated"><p><strong><?php _e("Options saved.");?></strong></p></div>
                <?php
            }?>
                <div class=wrap>
                <form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
                <h2>AlbanEye Plugin Options</h2>
                <h3>Désactiver les animations ?</h3>
                <p>Sélectionner "Oui" désactivara toutes les animations</p>
                <p>
                    <label for="animation_disabled_yes">
                     <input type="radio" 
                            id="animation_disabled_yes" 
                            name="animation_disabled" 
                            value="true" 
                            <?php if ($devOptions['animation_disabled'] == 'true') { echo 'checked="checked"'; }?> 
                     /> Oui
                    </label>&nbsp;&nbsp;&nbsp;&nbsp;
                    <label for="animation_disabled_no">
                        <input type="radio" 
                               id="animation_disabled_no" 
                               name="animation_disabled" 
                               value="false" 
                               <?php if ($devOptions['animation_disabled'] == 'false') { echo 'checked="checked"'; }?>
                        /> Non
                    </label>
                </p>

                <h3>Désactiver seulement l'animation du papier ?</h3>
                <p>Sélectionner "Oui" désactivara  l'animation du papier</p>
                <p>
                    <label for="paper_animation_disabled_yes">
                     <input type="radio" 
                            id="paper_animation_disabled_yes" 
                            name="paper_animation_disabled" 
                            value="true" 
                            <?php if ($devOptions['paper_animation_disabled'] == 'true') { echo 'checked="checked"'; }?> 
                     /> Oui
                    </label>&nbsp;&nbsp;&nbsp;&nbsp;
                    <label for="paper_animation_disabled_no">
                        <input type="radio" 
                               id="paper_animation_disabled_no" 
                               name="paper_animation_disabled" 
                               value="false" 
                               <?php if ($devOptions['paper_animation_disabled'] == 'false') { echo 'checked="checked"'; }?>
                        /> Non
                    </label>
                </p>
                <div class="submit">
                <input type="submit" name="update_AlbanEyeSettings" value="Enregistrer les options" /></div>
                </form>
              </div>
          <?php
        }//End function printAdminPage()
    }
}
if ( class_exists('ZeAlbanEyeAdmin') ) {
    $albaneye = new ZeAlbanEyeAdmin();
}

//Initialize the admin panel
if (!function_exists("AlbanEye_ap")) {
    function AlbanEye_ap() {
        global $albaneye;
        if (!isset($albaneye)) {
            return;
        }
        if (function_exists('add_options_page')) {
            add_options_page('AlbanEye', 'AlbanEye', 9, basename(__FILE__), array(&$albaneye, 'printAdminPage'));
        }
    }
}

//Actions and Filters	
if (isset($albaneye)) {
    require_once(WP_ALBANEYE_PATH.'/wp-includes/functions.php');
    require_once(WP_ALBANEYE_PATH.'/wp-includes/plugin.php');
    require_once(WP_ALBANEYE_PATH.'/wp-includes/capabilities.php');
    require_once(WP_ALBANEYE_PATH.'/wp-includes/pluggable.php');

    //Actions
    add_action('admin_menu', 'AlbanEye_ap');
    add_action('wp_head', array(&$albaneye, 'addHeaderCode'), 1);
    add_action('wp_footer', array(&$albaneye, 'addBodyCode'), 1);

    add_action('ze-alban-eye/ze-alban-eye.php', array(&$albaneye, 'init'));

}

?>
